Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.edit.internal.swt.controls
Class TableControl.ECPCellLabelProvider

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.viewers.BaseLabelProvider
              org.eclipse.jface.viewers.CellLabelProvider
                  org.eclipse.jface.databinding.viewers.ObservableMapCellLabelProvider
                      org.eclipse.emf.ecp.edit.internal.swt.controls.TableControl.ECPCellLabelProvider

All Implemented Interfaces:
  org.eclipse.jface.viewers.IBaseLabelProvider, org.eclipse.jface.viewers.IColorProvider, org.eclipse.jface.viewers.IToolTipProvider

Enclosing class:
  TableControl

    public class TableControl.ECPCellLabelProvider

extends org.eclipse.jface.databinding.viewers.ObservableMapCellLabelProvider
implements org.eclipse.jface.viewers.IColorProvider

ECP specficic cell label provider that does also implement `IColorProvider` in order to correctly.

Author:
  emueller

Constructor Summary
`TableControl.ECPCellLabelProvider(org.eclipse.emf.ecore.EStructuralFeature feature, org.eclipse.jface.viewers.CellEditor cellEditor, org.eclipse.core.databinding.observable.map.IObservableMap attributeMap)` Constructor.

Method Summary
`org.eclipse.swt.graphics.Color` | `getBackground(Object element)`
`org.eclipse.swt.graphics.Color` | `getForeground(Object element)`
`String` | `getToolTipText(Object element)`
`void` | `update(org.eclipse.jface.viewers.ViewerCell cell)`

Methods inherited from class org.eclipse.jface.databinding.viewers.ObservableMapCellLabelProvider
`dispose`

Methods inherited from class org.eclipse.jface.viewers.CellLabelProvider
`dispose, getToolTipBackgroundColor, getToolTipDisplayDelayTime, getToolTipFont, getToolTipForegroundColor, getToolTipImage, getToolTipShift, getToolTipStyle, getToolTipTimeDisplayed, useNativeToolTip`

Methods inherited from class org.eclipse.jface.viewers.BaseLabelProvider
`addListener, isLabelProperty, removeListener`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TableControl.ECPCellLabelProvider

    public TableControl.ECPCellLabelProvider(org.eclipse.emf.ecore.EStructuralFeature feature,
                                             org.eclipse.jface.viewers.CellEditor cellEditor,
                                             org.eclipse.core.databinding.observable.map.IObservableMap attributeMap)

  Constructor.

  Parameters:
    `feature` - the `EStructuralFeature` the cell is bound to
    `cellEditor` - the `CellEditor` instance
    `attributeMap` - an `IObservableMap` instance that is passed to the `ObservableMapCellLabelProvider`

Method Detail

### getToolTipText

    public String getToolTipText(Object element)

  Specified by:
    `getToolTipText` in interface `org.eclipse.jface.viewers.IToolTipProvider`
  Overrides:
    `getToolTipText` in class `org.eclipse.jface.viewers.CellLabelProvider`
  See Also:
    `CellLabelProvider.getToolTipText(java.lang.Object)`

### update

    public void update(org.eclipse.jface.viewers.ViewerCell cell)

  Overrides:
    `update` in class `org.eclipse.jface.databinding.viewers.ObservableMapCellLabelProvider`

### getForeground

    public org.eclipse.swt.graphics.Color getForeground(Object element)

  Specified by:
    `getForeground` in interface `org.eclipse.jface.viewers.IColorProvider`
  See Also:
    `IColorProvider.getForeground(java.lang.Object)`

### getBackground

    public org.eclipse.swt.graphics.Color getBackground(Object element)

  Specified by:
    `getBackground` in interface `org.eclipse.jface.viewers.IColorProvider`
  See Also:
    `IColorProvider.getBackground(java.lang.Object)`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.